loci.formats

## Class Modulo

- java.lang.Object
- - loci.formats.Modulo

-     public class Modulo
      extends java.lang.Object

  Represents a subdimension of Z, C, or T as needed for supporting Modulo annotations. See https://docs.openmicroscopy.org/latest/ome-model/developers/6d-7d-and-8d-storage.html

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `end`
    `java.lang.String[]` | `labels`
    `java.lang.String` | `parentDimension`
    `java.lang.String` | `parentType`
    `double` | `start`
    `double` | `step`
    `java.lang.String` | `type`
    `java.lang.String` | `typeDescription`
    `java.lang.String` | `unit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Modulo(Modulo m)`
    `Modulo(java.lang.String dimension)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `length()`
    `java.lang.String` | `toXMLAnnotation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parentDimension

          public java.lang.String parentDimension

    - #### start

          public double start

    - #### step

          public double step

    - #### end

          public double end

    - #### parentType

          public java.lang.String parentType

    - #### type

          public java.lang.String type

    - #### typeDescription

          public java.lang.String typeDescription

    - #### unit

          public java.lang.String unit

    - #### labels

          public java.lang.String[] labels

  - ### Constructor Detail

    - #### Modulo

          public Modulo(java.lang.String dimension)

    - #### Modulo

          public Modulo(Modulo m)

  - ### Method Detail

    - #### length

          public int length()

    - #### toXMLAnnotation

          public java.lang.String toXMLAnnotation()

Copyright © 2026 Open Microscopy Environment